模型接口API文档视频模型
导入单个公网素材 URL
把单个公网可访问 URL 登记进素材库。
把一个公网可访问的图片、视频或音频 URL 登记进素材库。传 groupId 时会导入到已有素材组,并先校验素材组归属;不传 groupId 时会上游新建素材组,成功后本项目保存归属关系。
curl -X POST "https://api.routescope.ai/v1/api/video-studio/assets/ecloud/import-url" \ -H "Content-Type: application/json" \ -d '{ "assetUrl": "https://example.com/path/to/image.png", "assetType": "Image" }'{
"data": {
"group": {
"groupId": "group_xxx",
"groupName": "产品素材组",
"displayName": "产品素材组",
"groupType": "AIGC"
},
"assets": [
{
"fileName": "image.png",
"assetName": "image.png",
"assetType": "Image",
"assetId": "asset_xxx",
"assetUrl": "https://example.com/path/to/asset.png",
"coverUrl": "https://example.com/path/to/asset.png",
"status": "SUCCESS",
"createdTime": "2026-06-30T00:00:00Z"
}
]
},
"error": {
"code": "not_found",
"message": "asset group not found"
},
"request_id": "req_xxx"
}{
"data": null,
"error": {
"code": "not_found",
"message": "asset group not found"
},
"request_id": "req_xxx"
}{
"data": null,
"error": {
"code": "not_found",
"message": "asset group not found"
},
"request_id": "req_xxx"
}Authorization
BearerAuth
AuthorizationBearer <token>
使用本项目网关 Token:Authorization: Bearer <API_TOKEN>。注意这里不是上游素材库 API Key。
In: header
Request Body
application/json
assetUrl*string
公网可访问素材 URL。
Format
uriassetName?string
素材名称。
assetType*string
素材类型。
Value in
"Image" | "Video" | "Audio"groupId?string
已有素材组 ID。传该字段时会先校验当前用户是否拥有该素材组。
groupName?string
新建素材组名称。不传 groupId 时可使用。
displayName?string
素材组展示名称。不传 groupId 时可使用。
Response Body
application/json
application/json
application/json
最后更新于